<?php
//Validátor nám zjistí, zda existuje ikonka shodná s idčkem článku
$validator = new Zend_Validate_File_Exists();
$validator->addDirectory(getCWD() . '/images/articles/');
?>
<div class="frame">
    <h1>Klubové akce</h1>
    <h2><a href="/admin/articles/edit/?article_id=new">[Nový článek]</a></h2>
    <?php
    foreach ($this->articles as $value) {
    ?>    
    <div class="article-box">
        <a href="/kluboveinfo/clanek/?article_id=<?= $value->article_id ?>">
            <div class="article-box-image">
                <img src="/images/articles/<?= ($validator->isValid($value->article_id . '.jpg')) ? $value->article_id . '.jpg' : 'default.jpg' ?>" alt="<?= $value->title ?>" />
            </div> 
        </a>
        <div class="article-box-dateanchor">
            <div class="article-box-date">
                <a href="/admin/articles/edit/?article_id=<?= $value->article_id ?>">[upravit]</a>
            </div>
        </div>
        <a href="/kluboveinfo/clanek/?article_id=<?= $value->article_id ?>">
            <div class="article-box-info">
                <h1 class="article-status-<?= $value->status ?>"> <?= $value->title ?> </h1>
                <div class="article-box-perex"><?= $value->perex ?></div>
            </div> 
        </a>
    </div>
    <div class="clear"></div>
    <?php
    }
    ?>
    <br/>
</div>
